// file: $USFS/class/image_analysis/v1.0/imaga_cstr_0.cc
//

// isip include files
//
#include "image_analysis.h"

// method: default destructor
//
// arguments: none
//
// return: none
//
Image_analysis::~Image_analysis() {
  
  // general data needing cleanup
  //
  if (param_version_d != (char_1*)NULL) {
    delete [] param_version_d;
  }
  
  if (param_fname_d != (char_1*)NULL) {
    delete [] param_fname_d;
  }

  if (model_version_d != (char_1*)NULL) {
    delete [] model_version_d;
  }

  if (model_fname_d != (char_1*)NULL) {
    delete [] model_fname_d;
  }

  // histogram-related parameters needing cleaning
  //
  if (hist_r_rpdf_d != (float_8*)NULL) {
    delete [] hist_r_rpdf_d;
  }
  
  if (hist_r_gpdf_d != (float_8*)NULL) {
    delete [] hist_r_gpdf_d;
  }
  
  if (hist_r_bpdf_d != (float_8*)NULL) {
    delete [] hist_r_bpdf_d;
  }
  
  if (hist_r_rcval_d != (float_8*)NULL) {
    delete [] hist_r_rcval_d;
  }
  
  if (hist_r_gcval_d != (float_8*)NULL) {
    delete [] hist_r_gcval_d;
  }
  
  if (hist_r_bcval_d != (float_8*)NULL) {
    delete [] hist_r_bcval_d;
  }
  
  if (hist_t_rpdf_d != (float_8*)NULL) {
    delete [] hist_t_rpdf_d;
  }
  
  if (hist_t_gpdf_d != (float_8*)NULL) {
    delete [] hist_t_gpdf_d;
  }
  
  if (hist_t_bpdf_d != (float_8*)NULL) {
    delete [] hist_t_bpdf_d;
  }

  if (edge_r_lpdf_d != (float_8*)NULL) {
    delete [] edge_r_lpdf_d;
  }
  
  if (edge_r_lcval_d != (float_8*)NULL) {
    delete [] edge_r_lcval_d;
  }
  
  if (edge_t_lpdf_d != (float_8*)NULL) {
    delete [] edge_t_lpdf_d;
  }
  
  if (edge_t_lcval_d != (float_8*)NULL) {
    delete [] edge_t_lcval_d;
  }
  
  // exit gracefully
  //
}

