// file: $USFS/util/analyze_image/v1.0/analyze_image_constants.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_ANALYZE_IMAGE_CONSTANTS
#define __ISIP_ANALYZE_IMAGE_CONSTANTS
 
// isip include files
//
//#ifndef __INTEGRAL
//#include <integral.h>
//#endif

// define the help file
//
#define AI_HELP_FILE "$USFS/util/analyze_image/v1.0/analyze_image.help"

// define command line identifiers
//
#define AI_OPT_A (char_1*)"-param"
#define AI_OPT_B (char_1*)"-output"
#define AI_OPT_C (char_1*)"-debug"

// define default option
//
#define AI_DEFAULT_OUTPUT_OPTION (char_1*)"stdout"

// define print format
//
#define AI_PRINT_FORMAT_A "%ld (%ld): %s sbe = %6.2f\n"
#define AI_PRINT_FORMAT_B "# parameter file = %s\n"
#define AI_PRINT_FORMAT_C "# output file = %s\n"

// define the number of parameter files
//
#define AI_MAX_NUMBER_MODELS (int_4)10

// define comment character
//
#define AI_COMMENT_CHAR '#'
// end of file
//
#endif

