// file: $USFS/util/ppm_print/v1.0/ppm_print.h
//

// Make sure this file is only included once
//
#ifndef __ISIP_PPM_PRINT
#define __ISIP_PPM_PRINT

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the help file
//
#define PPM_HELP_FILE "$USFS/util/ppm_print/v1.0/ppm_print.help"

// define default values
//
#define PPM_DEFAULT_W (int_4)-1
#define PPM_DEFAULT_H (int_4)-1
#define PPM_DEFAULT_WOFF (int_4)0
#define PPM_DEFAULT_HOFF (int_4)0

// define command line identifiers
//
#define PPM_OPT_W (char_1*)"-width"
#define PPM_OPT_H (char_1*)"-height"
#define PPM_OPT_WOFF (char_1*)"-woff"
#define PPM_OPT_HOFF (char_1*)"-hoff"

// function definitions
//
extern "C" {

  logical_1 get_parameters_cc(int argc, char** argv,
			      int_4& width, int_4& height,
			      int_4& woff, int_4& hoff, char_1* file);
}

// end of file
//
#endif
